/* error.c -- error report routines */
/* only reason to have this is to have uniform error reporting */
#include "he.h"

void unkOpt(s)
    char *s;
{
    fprintf(stderr,"Unknown option: %s.\n",s);
}

void ambigOpt(s)
    char *s;
{
    fprintf(stderr,"Ambiguous option: %s.\n",s);
}

void irrOpt(s)
    char *s;
{
    fprintf(stderr,"Irrelevant option: %s.\n",s);
}

void unkArg(s)
    char *s;
{
    fprintf(stderr,"Unknown argument: %s.\n",s);
}

void noFile()
{
    fprintf(stderr,"No file is opened.\n");
}

void hdfErr()
{
    /* this should be replaced by DFperror once that is out */
    fprintf(stderr,"HDF error #%d.\n", DFerror);
}

/* end of error.c */
